PO4A-TRANSLATE(1p)

NOME
po4a-translate - converte um arquivo PO de volta para o formato de documentação

SINOPSE
po4a-translate -f fmt -m mestre.doc -p XX.po -l XX.doc

(XX.doc é a saída, todos outros são entrada)

DESCRIÇÃO
A missão do projeto po4a (em inglês, PO for anything) é facilitar as traduções (e o mais interessante, a manutenção de traduções) usando ferramentas de gettext em áreas onde elas não eram esperadas, como documentação.

O script po4a-translate está encarregado da conversão da tradução (que foi feito em um arquivo PO) de volta para o formato de documentação. O arquivo PO fornecido deveria ser a tradução do arquivo POT, o qual foi fornecido por po4a-gettextize(1).

OPÇÕES

-f, --format
    Formato da documentação que você quer manipular. Use a opção --help-format para ver a lista de formatos disponíveis.

-a, --addendum
    Adiciona um arquivo ao arquivo resultante (para colocar o nome do tradutor ou uma seção "Sobre esta tradução", por exemplo). A primeira linha do arquivo para inserir deveria ser um cabeçalho PO4A indicando para onde ele deveria ser adicionado (veja a seção Como adicionar um texto extra a traduções em po4a(7)).

-A, --addendum-charset
    Conjunto de caracteres dos adendos. Note que todos os adendos deveriam ser do mesmo conjunto de caracteres.

-m, --master
    Arquivo contendo o documento mestre para traduzir.

-M, --master-charset
    Conjunto de caracteres do arquivo contendo o documento para traduzir.

-l, --localized
    Arquivo para o qual o documento localizado (traduzido) deveria ser escrito.

-L, --localized-charset
    Conjunto de caracteres do arquivo contendo o documento localizado.

-p, --po
    Arquivo do qual o catálogo de mensagens deveria ser lido.

-o, --option
    Opções extras para passar o plug-in de formato. Especifique cada opção no formato "nome=valor". Veja a documentação de cada plug-in para mais informações sobre as opções válidas e seus significados.

-k, --keep
    Limite mínimo de porcentagem de tradução para manter (i.e. escrever) o arquivo resultante (padrão: 80). I.e. por padrão, arquivos têm que ser traduzido em pelo menos 80% para ser escrito.

-w, --width
    Coluna na qual nós deveríamos quebrar a linha do arquivo resultante.

-h, --help
    Mostra uma mensagem de ajuda.

--help-format
    Lista os formatos de documentação compreendidos pelo po4a.

-V, --version
    Exibe a versão do script e sai.

-v, --verbose
    Aumenta o nível de detalhamento do programa.

-d, --debug
    Imprime algumas informações de depuração.

Adicionando conteúdo (além de traduções) a arquivos gerados
Para adicionar algum conteúdo extra para o documento gerado além do que você traduziu (como o nome do tradutor ou uma seção "Sobre essa tradução"), você deveria usar a opção --addendum.

A primeira linha do adendo deve ser um cabeçalho indicando onde colocá-lo no documento (pode ser antes ou depois de uma parte determinada do documento). O resto do arquivo será adicionado literalmente ao arquivo resultante sem processamento adicional.

Note que se o po4a-translate falha ao adicionar um dos arquivos fornecidos, ele descarta toda a tradução (porque o arquivo que faltou poderia ser um indicando o autor, o que iria evitar que usuários contatassem-no para relatar erros na tradução).

O cabeçalho possui uma sintaxe bem rígida. Para mais informações sobre como usar esse recurso ou como ele funciona, veja a página de manual do po4a(7).

VEJA TAMBÉM
po4a-gettextize(1), po4a-normalize(1), po4a-updatepo(1), po4a(7)

AUTORES
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

COPYRIGHT E LICENÇA
Copyright 2002-2012 por SPI, inc.

Esse programa é um software livre; você pode redistribuí-lo e/ou modificá-lo sob os termos da GPL (veja o arquivo COPYING).